Merge posts
Understanding how to use FeatureOS API to build custom integrations.
Introduction
This endpoint allows you to merge one or more posts into a parent post. Merging consolidates votes, comments, and subscribers from the child post(s) into the parent post. You can merge up to 30 posts at once.
POST
https://api.featureos.app/api/v3/feature_requests/:feature_request_id/merge_posts
curl -X POST 'https://api.featureos.app/api/v3/feature_requests/:feature_request_id/merge_posts' \
-H 'API-KEY: YOUR_API_KEY' \
-H 'Content-Type: application/json'Headers
| Parameter | Default | Description |
|---|---|---|
| API-KEY | - | Generate from organization settings on the admin dashboard. |
| Authorization | - | Generate a unique JWT token that is specific to a user. Only organization members can access this endpoint. |
Body Parameters
| Parameter | Required | Format | Description |
|---|---|---|---|
| child_feature_request_ids | true | Array | An array of post IDs to merge into the parent. Maximum of 30 posts per request. |